package intient.xml.bind.impl;

import javax.xml.bind.ValidationEvent;
import javax.xml.bind.ValidationEventHandler;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Handles validation events created by JAXP
 * 
 * @author Bradley Beddoes
 */
public class MarshallerValidationHandler implements ValidationEventHandler {
	private Logger logger = LoggerFactory.getLogger(MarshallerValidationHandler.class.getName());

	public boolean handleEvent(ValidationEvent event) {
		/*
		 * Due to implementation expect to get a validation error for an uncompleted <ds:Signature> element Allow this
		 * to pass, flag everything else as an exception
		 */
		if (event.getSeverity() == ValidationEvent.FATAL_ERROR && event.getMessage().contains("ds:Signature")) {
			return true;
		}

		this.logger.error(event.getMessage());
		this.logger.debug(event.getMessage(), event.getLinkedException());
		return false;
	}
}