package intient.xml.exception;

/**
 * Exception thrown when an underlying library has caused an exception to occur or some generic localized error state
 * has occurred.
 * 
 * @author Bradley Beddoes
 */
public class MarshallerException extends Exception {
	private static final long serialVersionUID = 6172491043515067384L;

	/**
	 * Exception thrown when an underlying library has caused an exception to occur or some generic localized error
	 * state has occurred.
	 * 
	 * @param message
	 *            Human readable message indicating why this exception was thrown
	 * @param cause
	 *            Any exception which caused this exception to be thrown, may be null
	 */
	public MarshallerException(String message, Exception cause) {
		super(message, cause);
	}

	/**
	 * Exception thrown when an underlying library has caused an exception to occur or some generic localized error
	 * state has occurred.
	 * 
	 * @param message
	 *            Human readable message indicating why this exception was thrown
	 */
	public MarshallerException(String message) {
		super(message);
	}
}
