package intient.xml.exception;

/**
 * Exception thrown when a resource resolution request has resulted in error. author: Bradley Beddoes
 */
public class ResourceException extends Exception {
	private static final long serialVersionUID = 8164727088251832146L;

	/**
	 * Exception thrown when an underlying library has caused an exception to occur or some generic localised error
	 * state has occured.
	 * 
	 * @param message
	 *            Human readable message indicating why this exception was thrown
	 * @param cause
	 *            Any exception which caused this exception to be thrown, may be null
	 */
	public ResourceException(String message, Exception cause) {
		super(message, cause);
	}

	/**
	 * Exception thrown when an underlying library has caused an exception to occur or some generic localised error
	 * state has occured.
	 * 
	 * @param message
	 *            Human readable message indicating why this exception was thrown
	 */
	public ResourceException(String message) {
		super(message);
	}
}
