package intient.xml.exception;

/**
 * Exception thrown when a signature validation exception has occured. author: Bradley Beddoes
 */
public class SignatureValueException extends Exception {
	private static final long serialVersionUID = 6059157071209739477L;
	private Object jaxbObject;

	/**
	 * Exception thrown when a signature validation exception has occured.
	 * 
	 * @param message
	 *            Human readable message indicating why this exception was thrown
	 * @param cause
	 *            Any exception which caused this exception to be thrown, may be null
	 */
	public SignatureValueException(String message, Exception cause, Object jaxbObject) {
		super(message, cause);
		this.jaxbObject = jaxbObject;
	}

	/**
	 * Note that since signature validation has failed at this stage, the object returned here should not be trusted for
	 * anything other than generating log output.
	 * 
	 * @return The JAXB Object containing the document that failed signature validation.
	 */
	public Object getJAXBObject() {
		return this.jaxbObject;
	}
}
