package intient.xml.namespace;

import com.sun.xml.internal.bind.marshaller.NamespacePrefixMapper;

/**
 * Ensures marshaled XML documents are created with namespaces that have specific meaning to humans instead of generic
 * ns1, ns2...
 * 
 * @author Bradley Beddoes
 */
abstract public class NamespacePrefixMapperImpl extends NamespacePrefixMapper {
	/*
	 * (non-Javadoc)
	 * 
	 * @see com.sun.xml.bind.marshaller.NamespacePrefixMapper#getPreferredPrefix(java.lang.String, java.lang.String,
	 * boolean)
	 */
	@Override
	public String getPreferredPrefix(String namespaceURI, String suggested, boolean requirePrefix) {
		if (namespaceURI == null) {
			throw new IllegalArgumentException("Null is an invalid value to supply for namespaceUri");
		}

		/* Define all of our custom mappings */
		if (namespaceURI.equals("http://www.w3.org/2001/XMLSchema")) {
			return "xs";
		}

		if (namespaceURI.equals("http://www.w3.org/2001/XMLSchema-instance")) {
			return "xsi";
		}

		if (namespaceURI.equals("http://www.w3.org/2000/09/xmldsig#")) {
			return "ds";
		}

		if (namespaceURI.equals("http://www.w3.org/2001/04/xmlenc#")) {
			return "xenc";
		}

		// No preference for this namespace, use default
		return suggested;

	}
}
